/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workfullmanage.dao;

import com.jeeplus.common.persistence.CrudDao;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.workfullmanage.entity.WorkFullManage;
import com.jeeplus.modules.workproject.entity.WorkProject;

import java.util.List;

/**
 * 全过程管理DAO接口
 * @author mapengbo
 * @version 2017-10-24
 */
@MyBatisDao
public interface WorkFullManageDao extends CrudDao<WorkFullManage> {

    /**
     * 主办负责人
     * @return
     */
	public int insertHostMaster(WorkFullManage workFullManage);

    /**
     * 协办负责人
     * @param workFullManage
     * @return
     */
	public int insertFollowMaster(WorkFullManage workFullManage);

    /**
     * 主办成员
     * @param workFullManage
     * @return
     */
	public int insertHostMember(WorkFullManage workFullManage);

    /**
     * 协办成员
     * @param workFullManage
     * @return
     */
	public int insertFollowMember(WorkFullManage workFullManage);
    //根据总项目外键获取
    public WorkFullManage getByPId(WorkProject workProject);

    public List<WorkFullManage> findListByprojectt(WorkFullManage workFullManage);

    public List<WorkFullManage> findByList(WorkFullManage workFullManage);
}